# Available K8s Versions - GetUK8SVersions

## Overview

Available K8s Versions






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUK8SVersions`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.ckcloudai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list) |**Yes**|
| **Kind** | string | type of cluster, options are [Dedicated] |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Data** | array[[*UK8SVersionData*](#uk8sversiondata)] | List of UK8S versions |No|

#### Data Model


#### UK8SVersionData

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **K8sVersion** | string | K8S Version |**Yes**|
| **ContainerdVersion** | string | Containerd Version |**Yes**|

## Example

### Request Example
    
```
https://api.ckcloudai.com/?Action=GetUK8SVersions
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=HpWKrCAn
&Kind=dZwvEmzo
&Kind=mrCBphtc
&Region=bFIpFSaD
&ProjectId=abBjWZOD
&Kind=fyjsGLau
```

### Response Example
    
```json
{
  "Action": "GetUK8SVersionsResponse",
  "ContainerdVersion": "piaBRUsB",
  "Data": {},
  "K8sVersion": "LgmQLmzB",
  "RetCode": 0
}
```





